Finally getting rid of seamoneky-1.
authorLars Wendler <polynomial-c@gentoo.org>
Sat, 17 Jul 2010 11:37:09 +0000 (11:37 +0000)
committerLars Wendler <polynomial-c@gentoo.org>
Sat, 17 Jul 2010 11:37:09 +0000 (11:37 +0000)
Package-Manager: portage-2.2_rc67/cvs/Linux x86_64

www-client/seamonkey/ChangeLog
www-client/seamonkey/Manifest
www-client/seamonkey/files/10seamonkey [deleted file]
www-client/seamonkey/files/google.src [deleted file]
www-client/seamonkey/files/seamonkey-1.1.17-fix-fno-strict-aliasing.patch [deleted file]
www-client/seamonkey/files/seamonkey-rebuild-databases.pl [deleted file]
www-client/seamonkey/metadata.xml
www-client/seamonkey/seamonkey-1.1.18.ebuild [deleted file]
www-client/seamonkey/seamonkey-1.1.19.ebuild [deleted file]
www-client/seamonkey/seamonkey-2.0.6_pre1.ebuild [new file with mode: 0644]

index d39428a846db64cc662703fa67a319d6021bf3a2..e58e0c1052e751c2f8b33a573123a67b6ecfbb96 100644 (file)
@@ -1,6 +1,16 @@
 # ChangeLog for www-client/seamonkey
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/ChangeLog,v 1.233 2010/07/17 11:24:05 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/ChangeLog,v 1.234 2010/07/17 11:37:09 polynomial-c Exp $
+
+*seamonkey-2.0.6_pre1 (17 Jul 2010)
+
+  17 Jul 2010; Lars Wendler <polynomial-c@gentoo.org> -files/10seamonkey,
+  -files/seamonkey-1.1.17-fix-fno-strict-aliasing.patch,
+  -seamonkey-1.1.18.ebuild, -seamonkey-1.1.19.ebuild,
+  +seamonkey-2.0.6_pre1.ebuild, -files/google.src,
+  -files/seamonkey-rebuild-databases.pl:
+  Finally getting rid of seamoneky-1. Thanks to armin76 for his effort on
+  arm. Added _pre ebuild of latest stable candidate keyword masked.
 
   17 Jul 2010; Raúl Porcel <armin76@gentoo.org> seamonkey-2.0.5.ebuild:
   arm stable
index 2a8513fb58d1ef90ac24ee90d1eb98243a201116..7f6548852a5fb591f912cf72caf90ae257dd917f 100644 (file)
@@ -1,17 +1,9 @@
-AUX 10seamonkey 26 RMD160 156c113dfd25a106d5b72c4e6320bbf155d8775a SHA1 31aa4216dcb9140c625647c8654e2baefb3e9d1a SHA256 e3af11f2fefe5d7375b2ef136ab9f5de7d2f9a697b08f9a0744a49bac3fe2de7
 AUX all-gentoo.js 712 RMD160 9c8352b0780ee3ac1e6f372dccb15975dfa09212 SHA1 5825d4485807fe53ddf8bbee70c7352f16c5ea45 SHA256 dfe92f212383bb79b3e2aebb03763c1ad179b3cbc90b22eb4b6aeddba98d100b
 AUX enigmail/70_enigmail-fix.patch 343 RMD160 a81caaa4cb6507b5a41b2593e26b984c8748a8b8 SHA1 7028cd7cf09c60325887fd0fb68a20ba3bb98b12 SHA256 895c5ffec6aa321290115f2c995658ae87f9bde027ac0414e5d76a7c9d451165
-AUX google.src 706 RMD160 083b439d5aeb27cdf35345b043e7cf2cbf92d369 SHA1 462c353b64f8be172be7ca8778e1548ee339a934 SHA256 885e7a1a1ce41c3f199eca193277869d6634dd6fd5efae437d3e809d5b5ac80a
 AUX icon/seamonkey.desktop 154 RMD160 7e1712122cee7510bf058024338e0b75ea7a5e9a SHA1 6f5e33c702fbaa86974e139e398399927462e31e SHA256 78ebd5d753065f6ecf148a010cb59a4756a8c94447cfac6f4db502864bac5d8c
 AUX icon/seamonkey.png 4172 RMD160 d296c4d4e0920e4476f4c6c607946434202ad521 SHA1 f76213195e2dc002ff2e411ed0247d2624ce7b09 SHA256 7ffc1911a62b526702f3c991365dd8f18b6427c7e173456a101db4fb4c43ae59
-AUX seamonkey-1.1.17-fix-fno-strict-aliasing.patch 793 RMD160 07705e8c0bb41eb7af8e4339913e6f0c2f84eb8b SHA1 0da75e53380a3fe08de8cb617ef761ddd216078d SHA256 db3038447f22c9798d39b556714b197b95e150caca5e42c57c5b13f9c181b466
 AUX seamonkey-1.1.18-libpng14.patch 740 RMD160 998c1be16f972695ef9a719125027656dead793b SHA1 4a53d1aa02df0d248a7e44153a0af032ef0abb3b SHA256 7e91a69b93001de52d1a1f0152f8fb4f0b860be4c5631569862eb3872be81686
-AUX seamonkey-rebuild-databases.pl 2344 RMD160 27ae162b4028d80faeb802e575b41590f6ab314e SHA1 678cec60179997d1957a0c8ecb50169985f0b4e2 SHA256 fde49923b949fc300040490e404a9f65b5777e8e7440fd8f0907d17b041fb2af
-DIST enigmail-0.96.0.tar.gz 1231329 RMD160 62fc1f4d8c5a12ca0b2e49f2aa7ddd28361e736f SHA1 ad9a28ab632a5480bd138a0f60e43a5c07a56646 SHA256 80ad781236f43d9a291205eefd92cf49e75a5836826198f46d3cb90b7eae09d1
 DIST enigmail-1.0.1.tar.gz 1201945 RMD160 2abd8e70fcfcd2e75e71a97a5a3c7d1e0c292666 SHA1 334e70723fffc0631dadb6fd4449afffdeafc3f2 SHA256 7bc8541eef483d67246f3d83682ba13263f001fa94b5982c0cfbe54e5bdfd32a
-DIST seamonkey-1.1.18-patches-0.1.tar.bz2 21939 RMD160 8c4b268938d02eef8939e155cc4ee45d7d0db476 SHA1 cda3ad61328babe634711dae99d61d068f5803fc SHA256 9575879c9feff93cf2d4a631a9cc986e43c17acf75226782421fa3b6b9fe037b
-DIST seamonkey-1.1.18.source.tar.bz2 36466846 RMD160 3a49321f5d0a6d897ff590849d8fde3aced4ec4e SHA1 11c154ea7f77f903449f3b8394678e0a2d64e7d2 SHA256 fa7f2b8a94297027cf0151847e52f6dbe031b21599218888c4629f08daec910f
-DIST seamonkey-1.1.19.source.tar.bz2 36272561 RMD160 56a442825bd5438738e6faf0c5e0dd0acf0f723b SHA1 128911b9137936a4daa93d75b2f5a203bbd0d1b3 SHA256 665e0998e7af516826b12d943206de9d9ed6d341503660b72251821fccf1932e
 DIST seamonkey-2.0.5-be.xpi 482630 RMD160 dcfb4b1cc68042fc0d70530f6f989ce50c24df95 SHA1 9ae9d1f2b385ec158ec871087bcc8f0505f53536 SHA256 62260f048d3123d7a57bd9f801ebf3d31c451deb05b5bcef9d0f4a19cd9d6611
 DIST seamonkey-2.0.5-ca.xpi 488163 RMD160 c5f775dcbe7b002ae98d0541ccfcc43d090eb8da SHA1 ffb39c214555528cb8c4f5b7a039aad550a87fd9 SHA256 68433f1b654856e76287d7e53db18ddd4eb834b035a7d565f5df3993a1752629
 DIST seamonkey-2.0.5-cs.xpi 522808 RMD160 a91d093d63a8b95c0576c1a0417cea0c883a9bd5 SHA1 5b7c270da5be1146ab1b08f912d775a2a214449c SHA256 1374fdab57f9b1e78d8a6afba3b7bddb5d98e53595865ad0fc8e281dedd49b9f
@@ -37,8 +29,31 @@ DIST seamonkey-2.0.5-sv-SE.xpi 509018 RMD160 494381d6b938edb538c12fa24d14c2809d1
 DIST seamonkey-2.0.5-tr.xpi 493813 RMD160 ec2c3cce914328d543778fbd2f2301c1ebe31645 SHA1 cab85581e35536b552abb5e5672bdbb2bb3eed4a SHA256 fdd7aab7e471d10aababf2cbb25e23a2d28b1ab193772e0964ef7d4597887c2d
 DIST seamonkey-2.0.5-zh-CN.xpi 503564 RMD160 4a4db06660bdec3ad06a6ffc0aea9b399ef3d63f SHA1 e4b4dbec896bbde22ff2c4041618be43b9cb04bd SHA256 b4eb9478217ded23a10dca6d23a3e1d1061065898eacc5625dd749719101c610
 DIST seamonkey-2.0.5.source.tar.bz2 61608877 RMD160 ac8f03efa79ebd1c7f47434e0f8bfb79ff209f25 SHA1 a2be375b89a7d1f641da285f1c8edb81c2831e7b SHA256 84d5fc30bfd38b34c2eace9dacfebe100e67808cc656db85c2cd117c617bd3a3
-EBUILD seamonkey-1.1.18.ebuild 8454 RMD160 fd6bd507d877cb28f61e3a09e7152c8254322272 SHA1 e630e62415fa85ea6a26368775a5618d8cd1ce09 SHA256 6a3c1630ee9cefab0af8c63f976caa6d431eec08ae9a7c5c61e6f325f317c40d
-EBUILD seamonkey-1.1.19.ebuild 8470 RMD160 d7952ec80590c4d0615e89e2765837ae042ad744 SHA1 d5152d99c2f3f0b3eee6393f7904e464213cbc93 SHA256 9f4af923e1fe2b5f66af3f0f86e5cdc173d544e49de32417c171c7a5ab5c5570
+DIST seamonkey-2.0.6-be.xpi 482593 RMD160 5a5f36eb40bb42ebd11bb00cc267aab94532d249 SHA1 a3e049162a6c852dbb5537afc0d5f6441ef613b5 SHA256 861426397750a2ab9e7cc6b7f35e1019df07ec45b8f6b4f19264e786565758e6
+DIST seamonkey-2.0.6-ca.xpi 488151 RMD160 ecc6eefed819466fe159d6fc6f1ede6ac776faa4 SHA1 88f9927ac18105a67a618c802778722685f017b0 SHA256 99ea82fd3c4463b6502df12f970e3e9000cd3af0ea670afa1e25438855cad9ac
+DIST seamonkey-2.0.6-cs.xpi 522821 RMD160 94f77ab9b33828ae4658656d462cb207a78ce04d SHA1 f9dfba73e3428b077a536041a758816440fcf0da SHA256 2281000825db7779b2ebeafc7098eb78252b0b44d2cf92126a615af25d83d8a3
+DIST seamonkey-2.0.6-de.xpi 542199 RMD160 77d0023bfdea5871b2015045228cdd186feefd88 SHA1 d427b0d26f9c0df06c869adb37d053dbcd64c9bf SHA256 dca545e1fb6086c0455e18fdae91becfdf260c3ec9241a49fc0b5b2d5c1e7cc2
+DIST seamonkey-2.0.6-en-GB.xpi 486741 RMD160 ee028ab5d2c87c181603fd6a4efecc06a16cabaf SHA1 c7cc01b1ffca8e5b19733a4463b4bd009c2cffd7 SHA256 d29e38adb76b50a328df6034a02495116cfb135a75c434a4414a7b287a133f24
+DIST seamonkey-2.0.6-es-AR.xpi 489533 RMD160 a2ffbc77c85ea9a7f537f55f28b9bbd930bd3e5b SHA1 963c9c21d9504d82e9735225886af3e13207218b SHA256 53203c6130b3c00e7465662a81100607522636f48128f9ab94f8c30613675bc2
+DIST seamonkey-2.0.6-es-ES.xpi 509777 RMD160 99831591ad0cf6587812443e850c7e7cdc24d1e7 SHA1 2e1eaef676daaafc4a109f45c802fc6fa73803ba SHA256 aa6c4b3db827da66e524a33273d52c416e8ef76a74cbd9e60752bcf9b14ef271
+DIST seamonkey-2.0.6-fr.xpi 578876 RMD160 afaa0d86933f795cafd36d1c21903c7c498d452e SHA1 280a64e3921c8b3dc5886a01fccd976a4e84b5c8 SHA256 41c6c88cb7335a24b72416e7361cf71dc02372efca1f8b153f6681768f4aa66c
+DIST seamonkey-2.0.6-gl.xpi 496062 RMD160 e786715955559e07e9db4a6d6da9e3214d88b74f SHA1 8b4d826f0de5422c8475e69a237719653eff40e7 SHA256 7201318f844129a07eaba7b108c15de369de507e3ec61de704d405417ef62ff3
+DIST seamonkey-2.0.6-hu.xpi 521389 RMD160 f0eb50d5f922d3960566369899eaf0310ef63b37 SHA1 33347ed1a8c348e04371b42c0d5cef879685f231 SHA256 a142ed6509e5d6a8d3cc9673195bce6c0752a43e5e4a3295d775c8669c8dac5b
+DIST seamonkey-2.0.6-it.xpi 468264 RMD160 01a8358f242dad2f17b71cf4e86e6259d838a2e6 SHA1 d3d2bfa01e02ed292e04116d3988b27c022071d2 SHA256 7322e47754819e68ca0a8c6a7b560dae0b1b0b4a9986ca62b8e0f6acd53a9e3a
+DIST seamonkey-2.0.6-ja.xpi 515556 RMD160 064ecfbcde1e08b775113652789733244b9052ac SHA1 2bec77fa54f54ade4d303f9e85606a7d7332bd58 SHA256 0f9e0e9c2d86283566f17f9483cb058d5c9efa6e87ad4a782a3669bb869254d1
+DIST seamonkey-2.0.6-ka.xpi 547328 RMD160 2da5ae348074f52bb48ba9f2f9439fb5c3639055 SHA1 d6619bc9f3bbb1b81f0401c252f3f0365ebfc768 SHA256 7c28ccf4989cd18ae074b6b6c94b937dd0d6bc5993e610dcd5551cedf30f857a
+DIST seamonkey-2.0.6-lt.xpi 522623 RMD160 af93c4dd90803212654534b2a47140359fcd46c4 SHA1 e774c9a8803249bb35f4d55efc87c27d971da132 SHA256 894d33b4cfa8f1bae4206f7d70d69cd90effe2bd726f1a4bd21c7c191d1b2512
+DIST seamonkey-2.0.6-nb-NO.xpi 491248 RMD160 7887a861a8012ed9f31ac0d72ef478942c0568e6 SHA1 f002cbebc0c609b9ca2a6b4ebc21acd9ccb24d8e SHA256 61cb9f4aa893d73cbfc34548ffed75f38d51b0421250566ee2e65e9d7436f7b5
+DIST seamonkey-2.0.6-nl.xpi 499282 RMD160 7c2622ec68547a1416788d4cad102174a63a1fd5 SHA1 803ebb9edabb66be9db975f8759b3d4bcd8d517e SHA256 a01d90677105a4fbcd35bd2dcbefadeaca51f6bd93e46cbc42cb1889c886fc24
+DIST seamonkey-2.0.6-pl.xpi 520045 RMD160 ef693915d4d72a13d7bc2d9b4fbcb19c49087dfb SHA1 632b7f5adf64e30ba483a9f6db0751ecfb9aa5eb SHA256 14f0ff17b6e601b6a9bb5201ebdf13553ce43dfdf8881045b67568d2d641d616
+DIST seamonkey-2.0.6-pt-PT.xpi 490024 RMD160 43e3841f45af8e48998c2895c863a5a9f8712f6f SHA1 f4b2c50a1e57a1a07c960bfd8886a50425f71a72 SHA256 e90ef206e1f7aafe82d3543e35420f2555f81427382ecfe80614bf8f94ed4e3e
+DIST seamonkey-2.0.6-ru.xpi 560182 RMD160 e838b8c660b2433c3aa64e6f5fb6afb5cacd73a5 SHA1 0e5967c66f626c99ed4c35437e3d5f403b5a75c1 SHA256 1e6c28807af78641f71f67bd6a1eb810758a9a1f74d37b8215644bbf7b880005
+DIST seamonkey-2.0.6-sk.xpi 525153 RMD160 03108ac7f934618ef0f54b90bbcb3ef1ecd1ca6e SHA1 2d8c6c066b7f87f99685404f29ad55204d14d624 SHA256 1e2333bd3e3a15176a2f789bacf4285b4ed39f500139bdab520ee384ebe2ae3d
+DIST seamonkey-2.0.6-sv-SE.xpi 509046 RMD160 74716347217f8c2d79be4ccf660ddf57a7cfc524 SHA1 7ad9c81d1cfc155df813a07263475049ab564b5b SHA256 eb6e53c07bf6f3bcacde2d31590e89a796b0f46c51265298c4d72e01cdad3b48
+DIST seamonkey-2.0.6-tr.xpi 493805 RMD160 3bb81b76687c339e701730dd56cc1b59aeaba468 SHA1 22306feed0f32bded06faab000bf993702198601 SHA256 ad2ec150390311b5d5f1058f2da59ba629737b99f77afa0a12d995be0f0214d4
+DIST seamonkey-2.0.6-zh-CN.xpi 503561 RMD160 79d989f95ce3d90194734cec9aabe514c96708a7 SHA1 15f8c7e0cc739850f8f4dd473bbaa3be012f5a8c SHA256 849d25bf84437f1e951bdf3988ee045784ff268971c6f5c4bb891294d2f62af8
+DIST seamonkey-2.0.6.source.tar.bz2 61478578 RMD160 70c64fec2d67c432b14083fe19ed3340b9ddf000 SHA1 96e8ef2cc737458b55290c13f5bf1a8d3684fb30 SHA256 1cb61392c3a0eafd18cb77c4986072b8a04ede34066ba3130a72b3b802686383
 EBUILD seamonkey-2.0.5.ebuild 7996 RMD160 39e831fdf33f40233a960e6524a24aaf17d71e47 SHA1 3ac36a0b1f8877762c630f501f6c800e6d2cf9e0 SHA256 d04f2c4c28e087760b23dae507dfbc777049f65d6a2d5f484c4d725180bc0d40
-MISC ChangeLog 29674 RMD160 90b62e08e1096ff90b6944bf669a85d9ef028803 SHA1 e4def27548c49661b729541a12316563580e051a SHA256 caae5049045609496108bdd92ef72ce3c1726a5acfb9c640f5b0541b6f6c161f
-MISC metadata.xml 1460 RMD160 817d48a1d51261cd3ee2c5e453b71b3f379d87bf SHA1 fbaaf2d38c77d98df0a5a703ca6fb699a423f5b0 SHA256 48e24d8264172e410756f50e402142394363e31eb2c9250b9189f3ff63e3666e
+EBUILD seamonkey-2.0.6_pre1.ebuild 9013 RMD160 443b260aa2c87451d9bd73ad661fcf3422943e0d SHA1 2631bb760a20cbebeb6e422979474c9b33f94aa6 SHA256 c115a81dfc461be626d8521f97bc7cd7b59be01659027a038da69de381f5693e
+MISC ChangeLog 30136 RMD160 503376363a673145dc49000351de05b8de62e18d SHA1 f5734234e02ccfff07634871e350246c16b37be6 SHA256 828cc6058197c74704cbfaaa9e4f99cf96a0150d8f6f51ab1664b778f7b21c9d
+MISC metadata.xml 846 RMD160 d40a8efc1db8d1b9519a99a581649f0b818f9a57 SHA1 2ff6d493f167649c67a07347f64a42c5915b8f75 SHA256 e1496198aef06d61328131ca4f59156b1396cac706b358ece9d849303abc808d
diff --git a/www-client/seamonkey/files/10seamonkey b/www-client/seamonkey/files/10seamonkey
deleted file mode 100644 (file)
index cfd57dd..0000000
+++ /dev/null
@@ -1 +0,0 @@
-LDPATH=/usr/lib/seamonkey
diff --git a/www-client/seamonkey/files/google.src b/www-client/seamonkey/files/google.src
deleted file mode 100644 (file)
index c11e51b..0000000
+++ /dev/null
@@ -1,29 +0,0 @@
-# Mozilla/Google plug-in by amitp+mozilla@google.com
-
-<search 
-   name="Google"
-   description="Google Search"
-   method="GET"
-   action="http://www.google.com/search"
-   update="http://www.google.com/mozilla/google.src"
-   updateCheckDays=1   
-   queryEncoding="utf-8"
-   queryCharset="utf-8"
->
-
-<input name="q" user>
-<input name="sourceid" value="mozilla-search">
-<inputnext name="start" factor="10">
-<inputprev name="start" factor="10">
-<input name="ie" value="utf-8">
-<input name="oe" value="utf-8">
-
-<interpret 
-    browserResultType="result" 
-    charset = "UTF-8"
-    resultListStart="<!--a-->" 
-    resultListEnd="<!--z-->" 
-    resultItemStart="<!--m-->" 
-    resultItemEnd="<!--n-->"
->
-</search>
diff --git a/www-client/seamonkey/files/seamonkey-1.1.17-fix-fno-strict-aliasing.patch b/www-client/seamonkey/files/seamonkey-1.1.17-fix-fno-strict-aliasing.patch
deleted file mode 100644 (file)
index 58c4ac2..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-Fix crashes without -fno-strict-aliasing. Patch from upstream see bug 265642
-
----
---- configure.in
-+++ configure.in
-@@ -1172,6 +1172,7 @@
- dnl GNU specific defaults
- dnl ========================================================
- if test "$GNU_CC"; then
-+    CFLAGS="$CFLAGS -fno-strict-aliasing"
-     MKSHLIB='$(CXX) $(CXXFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -Wl,-h,$@ -o $@'
-     MKCSHLIB='$(CC) $(CFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -Wl,-h,$@ -o $@'
-     DSO_LDOPTS='-shared'
-@@ -1218,6 +1219,7 @@
- fi
- 
- if test "$GNU_CXX"; then
-+    CXXFLAGS="$CXXFLAGS -fno-strict-aliasing"
-     # Turn on GNU specific features
-     _WARNINGS_CXXFLAGS="${_WARNINGS_CXXFLAGS} -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor"
- 
diff --git a/www-client/seamonkey/files/seamonkey-rebuild-databases.pl b/www-client/seamonkey/files/seamonkey-rebuild-databases.pl
deleted file mode 100644 (file)
index 2556041..0000000
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/usr/bin/perl
-
-use File::Path;
-use File::Copy;
-use File::Glob ":glob";
-use POSIX ":sys_wait_h";
-
-$timeout = 60;
-
-%{ENV}->{"MOZILLA_FIVE_HOME"}="/usr/lib/seamonkey";
-%{ENV}->{"LD_LIBRARY_PATH"}="/usr/lib/seamonkey";
-
-umask 022;
-
-if ( -f "/usr/lib/seamonkey/regxpcom" )
-{
-    # remove all of the old files
-    rmtree("/usr/lib/seamonkey/chrome/overlayinfo");
-    unlink </usr/lib/seamonkey/chrome/*.rdf>;
-    unlink("/usr/lib/seamonkey/component.reg");
-    unlink("/usr/lib/seamonkey/components/compreg.dat");
-    unlink("/usr/lib/seamonkey/components/xpti.dat");
-
-    # create a new clean path
-    mkpath("/usr/lib/seamonkey/chrome/overlayinfo");
-
-    # rebuild the installed-chrome.txt file from the installed
-    # languages
-    if ( -f "/usr/lib/seamonkey/chrome/lang/installed-chrome.txt" ) {
-       rebuild_lang_files();
-    }
-
-    # run regxpcom
-    $pid = fork();
-
-    # I am the child.
-    if ($pid == 0) {
-       exec("/usr/lib/seamonkey/regxpcom > /dev/null 2> /dev/null");
-    }
-    # I am the parent.
-    else {
-       my $timepassed = 0;
-       do {
-           $kid = waitpid($pid, &WNOHANG);
-           sleep(1);
-           $timepassed++;
-        } until $kid == -1 || $timepassed > $timeout;
-
-       # should we kill?
-       if ($timepassed > $timeout) {
-           kill (9, $pid);
-           # kill -9 can leave threads hanging around
-           system("/usr/bin/killall -9 regxpcom");
-       }
-    }
-
-    # and run regchrome for good measure
-    $pid = fork();
-
-    # I am the child.
-    if ($pid == 0) {
-       exec("/usr/lib/seamonkey/regchrome > /dev/null 2> /dev/null");
-    }
-    # I am the parent.
-    else {
-       my $timepassed = 0;
-       do {
-           $kid = waitpid($pid, &WNOHANG);
-           sleep(1);
-           $timepassed++;
-        } until $kid == -1 || $timepassed > $timeout;
-
-       # should we kill?
-       if ($timepassed > $timeout) {
-           kill (9, $pid);
-           # kill -9 can leave threads hanging around
-           system("/usr/bin/killall -9 regchrome");
-       }
-    }
-
-}
-
-
-sub rebuild_lang_files {
-    unlink("/usr/lib/seamonkey/chrome/installed-chrome.txt");
-
-    open (OUTPUT, "+>", "/usr/lib/seamonkey/chrome/installed-chrome.txt")||
-       die("Failed to open installed-chrome.txt: $!\n");
-
-    copy("/usr/lib/seamonkey/chrome/lang/installed-chrome.txt",
-        \*OUTPUT);
-
-    foreach (bsd_glob("/usr/lib/seamonkey/chrome/lang/lang-*.txt")) {
-       copy($_, \*OUTPUT);
-    }
-
-    copy("/usr/lib/seamonkey/chrome/lang/default.txt",
-        \*OUTPUT);
-}
index 87725134088ed031e78e3ebf6f630fa960704a42..4c75498bfcd2f5d7b94a04f67cb5b26385b38a9b 100644 (file)
        <flag name='mailclient'>Build Mozilla's Mail client (default on)</flag>
        <flag name='roaming'>Build sroaming extension support (default on)</flag>
 
-       <!-- Old EAPI-0 USE-flags -->
-       <flag name='mozdevelop'>Enable features for web developers (e.g.
-               Venkman)</flag>
-       <flag name='moznocompose'>Disable building of Mozilla's HTML editor
-               component</flag>
-       <flag name='moznoirc'>Disable building of Mozilla's IRC client</flag>
-       <flag name='moznomail'>Disable building Mozilla's mail client</flag>
-       <flag name='moznopango'>Disable <pkg>x11-libs/pango</pkg> during
-               runtime</flag>
-       <flag name='moznoroaming'>sroaming extension support</flag>
-
        <!-- Other USE-flags -->
        <flag name='custom-optimization'>Fine-tune custom compiler
                optimizations</flag>
-    <flag name='system-sqlite'>Use the system-wide <pkg>dev-db/sqlite</pkg>
-        installation with secure-delete enabled</flag>
-       <flag name='xforms'>XForms is a standard to split up XHTML into XForms,
-               instance data, and user interface</flag>
+       <flag name='system-sqlite'>Use the system-wide <pkg>dev-db/sqlite</pkg>
+               installation with secure-delete enabled</flag>
 </use>
 </pkgmetadata>
diff --git a/www-client/seamonkey/seamonkey-1.1.18.ebuild b/www-client/seamonkey/seamonkey-1.1.18.ebuild
deleted file mode 100644 (file)
index 4f884df..0000000
+++ /dev/null
@@ -1,283 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-1.1.18.ebuild,v 1.13 2010/07/08 21:02:22 polynomial-c Exp $
-
-WANT_AUTOCONF="2.1"
-
-inherit flag-o-matic toolchain-funcs eutils mozcoreconf mozconfig-2 mozilla-launcher makeedit multilib autotools
-
-PATCH="${P}-patches-0.1"
-EMVER="0.96.0"
-
-DESCRIPTION="Mozilla Application Suite - web browser, email, HTML editor, IRC"
-HOMEPAGE="http://www.seamonkey-project.org/"
-SRC_URI="http://releases.mozilla.org/pub/mozilla.org/${PN}/releases/${PV}/${P}.source.tar.bz2
-       mirror://gentoo/${PATCH}.tar.bz2
-       crypt? ( !moznomail? ( http://www.mozilla-enigmail.org/download/source/enigmail-${EMVER}.tar.gz ) )"
-
-KEYWORDS="arm"
-SLOT="0"
-LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-IUSE="java ldap mozdevelop moznocompose moznoirc moznomail moznoroaming postgres crypt xforms"
-
-RDEPEND="java? ( virtual/jre )
-       >=www-client/mozilla-launcher-1.56
-       >=dev-libs/nss-3.11.5
-       >=dev-libs/nspr-4.6.5-r1
-       crypt? ( !moznomail? ( >=app-crypt/gnupg-1.4 ) )"
-
-DEPEND="${RDEPEND}
-       java? ( >=dev-java/java-config-0.2.0 )
-       dev-lang/perl
-       postgres? ( dev-db/postgresql-server )"
-
-S="${WORKDIR}/mozilla"
-
-# Needed by src_compile() and src_install().
-# Would do in pkg_setup but that loses the export attribute, they
-# become pure shell variables.
-export MOZ_CO_PROJECT=suite
-export BUILD_OFFICIAL=1
-export MOZILLA_OFFICIAL=1
-
-pkg_setup() {
-       if ! built_with_use x11-libs/cairo X; then
-               eerror "Cairo is not built with X useflag."
-               eerror "Please add 'X' to your USE flags, and re-emerge cairo."
-               die "Cairo needs X"
-       fi
-
-       if ! built_with_use --missing true x11-libs/pango X; then
-               eerror "Pango is not built with X useflag."
-               eerror "Please add 'X' to your USE flags, and re-emerge pango."
-               die "Pango needs X"
-       fi
-
-       use moznopango && warn_mozilla_launcher_stub
-}
-
-src_unpack() {
-       unpack ${P}.source.tar.bz2 ${PATCH}.tar.bz2
-
-       # Apply our patches
-       cd "${S}" || die "cd failed"
-       EPATCH_SUFFIX="patch" \
-       EPATCH_FORCE="yes" \
-       epatch "${WORKDIR}"/patch
-
-       # Fix crash without -fno-strict-aliasing, bug 265642
-       epatch "${FILESDIR}/${PN}-1.1.17-fix-fno-strict-aliasing.patch"
-
-       epatch "${FILESDIR}"/${P}-libpng14.patch
-
-       # Unpack the enigmail plugin
-       if use crypt && ! use moznomail; then
-               cd "${S}"/mailnews/extensions || die
-               unpack enigmail-${EMVER}.tar.gz
-               cd "${S}"/mailnews/extensions/enigmail || die "cd failed"
-               makemake2
-       fi
-
-       # Fix scripts that call for /usr/local/bin/perl #51916
-       ebegin "Patching smime to call perl from /usr/bin"
-       sed -i -e '1s,usr/local/bin,usr/bin,' "${S}"/security/nss/cmd/smimetools/smime
-       eend $? || die "sed failed"
-
-       cd "${S}"
-       eautoreconf
-}
-
-src_compile() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       ####################################
-       #
-       # mozconfig, CFLAGS and CXXFLAGS setup
-       #
-       ####################################
-       mozconfig_init
-       mozconfig_config
-
-       mozconfig_annotate 'gentoo' --enable-canvas
-       mozconfig_annotate 'gentoo' --with-system-nspr
-       mozconfig_annotate 'gentoo' --with-system-nss
-
-       # Bug 60668: Galeon doesn't build without oji enabled, so enable it
-       # regardless of java setting.
-       mozconfig_annotate 'galeon' --enable-oji --enable-mathml
-
-       # Other moz-specific settings
-       mozconfig_use_enable mozdevelop jsd
-       mozconfig_use_enable mozdevelop xpctools
-       mozconfig_use_extension mozdevelop venkman
-
-       if use moznoirc; then
-               mozconfig_annotate '+moznocompose +moznoirc' --enable-extensions=-irc
-       fi
-
-       if use moznoroaming ; then
-               mozconfig_annotate '+moznoroaming' --enable-extensions=-sroaming
-       fi
-
-       if use postgres ; then
-               mozconfig_annotate '+postgres' --enable-extensions=sql
-               export MOZ_ENABLE_PGSQL=1
-               export MOZ_PGSQL_INCLUDES=/usr/include
-               export MOZ_PGSQL_LIBS=/usr/$(get_libdir)
-       fi
-
-       mozconfig_use_enable ldap
-       mozconfig_use_enable ldap ldap-experimental
-       mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
-       mozconfig_annotate '' --with-user-appdir=.mozilla
-
-       if use moznomail; then
-               mozconfig_annotate "+moznomail" --disable-mailnews
-       fi
-
-       if use moznocompose; then
-               if use moznoirc && use moznomail; then
-                       mozconfig_annotate "+moznocompose" --disable-composer
-               fi
-       fi
-
-       if use xforms; then
-               mozconfig_annotate "+xforms" --enable-extensions=xforms,schema-validation
-       fi
-
-       # Finalize and report settings
-       mozconfig_final
-
-       if [[ $(gcc-major-version) -lt 4 ]]; then
-               append-cxxflags -fno-stack-protector
-       fi
-
-       ####################################
-       #
-       #  Configure and build
-       #
-       ####################################
-
-       CPPFLAGS="${CPPFLAGS} -DARON_WAS_HERE" \
-       CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
-       econf || die
-
-       # It would be great if we could pass these in via CPPFLAGS or CFLAGS prior
-       # to econf, but the quotes cause configure to fail.
-       sed -i -e \
-               's|-DARON_WAS_HERE|-DGENTOO_NSPLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsplugins\\\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsbrowser/plugins\\\"|' \
-               "${S}"/config/autoconf.mk \
-               "${S}"/xpfe/global/buildconfig.html
-
-       # This removes extraneous CFLAGS from the Makefiles to reduce RAM
-       # requirements while compiling
-       edit_makefiles
-
-       emake || die
-
-       ####################################
-       #
-       #  Build Enigmail extension
-       #
-       ####################################
-
-       if use crypt && ! use moznomail; then
-               emake -C "${S}"/mailnews/extensions/enigmail || die "make enigmail failed"
-       fi
-}
-
-src_install() {
-       declare MOZILLA_FIVE_HOME=/usr/$(get_libdir)/${PN}
-
-       # Most of the installation happens here
-       dodir "${MOZILLA_FIVE_HOME}"
-       cp -RL "${S}"/dist/bin/* "${D}"/"${MOZILLA_FIVE_HOME}"/ || die "cp failed"
-
-       # Create directory structure to support portage-installed extensions.
-       # See update_chrome() in mozilla-launcher
-       keepdir ${MOZILLA_FIVE_HOME}/chrome.d
-       keepdir ${MOZILLA_FIVE_HOME}/extensions.d
-       cp "${D}"${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt \
-               "${D}"${MOZILLA_FIVE_HOME}/chrome.d/0_base-chrome.txt
-
-       # Create /usr/bin/seamonkey
-       install_mozilla_launcher_stub seamonkey ${MOZILLA_FIVE_HOME}
-
-       # Install icon and .desktop for menu entry
-       doicon "${FILESDIR}"/icon/${PN}.png
-       domenu "${FILESDIR}"/icon/${PN}.desktop
-
-       # Fix icons to look the same everywhere
-       insinto ${MOZILLA_FIVE_HOME}/icons
-       doins "${S}"/widget/src/gtk/mozicon16.xpm
-       doins "${S}"/widget/src/gtk/mozicon50.xpm
-
-       ####################################
-       #
-       # Install files necessary for applications to build against seamonkey
-       #
-       ####################################
-
-       einfo "Installing includes and idl files..."
-       cp -LfR "${S}"/dist/include "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
-       cp -LfR "${S}"/dist/idl "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
-
-       # Fix mozilla-config and install it
-       exeinto ${MOZILLA_FIVE_HOME}
-       doexe "${S}"/build/unix/${PN}-config
-
-       # Install pkgconfig files
-       insinto /usr/"$(get_libdir)"/pkgconfig
-       doins "${S}"/build/unix/*.pc
-
-       # Install env.d snippet, which isn't necessary for running mozilla, but
-       # might be necessary for programs linked against firefox
-       doenvd "${FILESDIR}"/10${PN}
-       dosed "s|/usr/lib|/usr/$(get_libdir)|" /etc/env.d/10${PN}
-
-       # Install rebuild script since mozilla-bin doesn't support registration yet
-       exeinto ${MOZILLA_FIVE_HOME}
-       doexe "${FILESDIR}"/${PN}-rebuild-databases.pl
-       dosed -e 's|/lib/|/'"$(get_libdir)"'/|g' \
-               ${MOZILLA_FIVE_HOME}/${PN}-rebuild-databases.pl
-
-       # Install docs
-       dodoc "${S}"/{LEGAL,LICENSE}
-
-       # Update Google search plugin to use UTF8 charset ...
-       insinto ${MOZILLA_FIVE_HOME}/searchplugins
-       doins "${FILESDIR}"/google.src
-}
-
-pkg_preinst() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Remove entire installed instance to solve various problems,
-       # for example see bug 27719
-       rm -rf "${ROOT}"${MOZILLA_FIVE_HOME}
-}
-
-pkg_postinst() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Update the component registry
-       MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
-               /usr/libexec/mozilla-launcher -register
-
-       # This should be called in the postinst and postrm of all the
-       # mozilla, mozilla-bin, firefox, firefox-bin, thunderbird and
-       # thunderbird-bin ebuilds.
-       update_mozilla_launcher_symlinks
-}
-
-pkg_postrm() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Update the component registry
-       if [[ -x ${MOZILLA_FIVE_HOME}/${PN}-bin ]]; then
-               MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
-                       /usr/libexec/mozilla-launcher -register
-       fi
-
-       update_mozilla_launcher_symlinks
-}
diff --git a/www-client/seamonkey/seamonkey-1.1.19.ebuild b/www-client/seamonkey/seamonkey-1.1.19.ebuild
deleted file mode 100644 (file)
index 4e55873..0000000
+++ /dev/null
@@ -1,283 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-1.1.19.ebuild,v 1.1 2010/07/04 20:48:04 polynomial-c Exp $
-
-WANT_AUTOCONF="2.1"
-
-inherit flag-o-matic toolchain-funcs eutils mozcoreconf mozconfig-2 mozilla-launcher makeedit multilib autotools
-
-PATCH="${PN}-1.1.18-patches-0.1"
-EMVER="0.96.0"
-
-DESCRIPTION="Mozilla Application Suite - web browser, email, HTML editor, IRC"
-HOMEPAGE="http://www.seamonkey-project.org/"
-SRC_URI="http://releases.mozilla.org/pub/mozilla.org/${PN}/releases/${PV}/${P}.source.tar.bz2
-       mirror://gentoo/${PATCH}.tar.bz2
-       crypt? ( !moznomail? ( http://www.mozilla-enigmail.org/download/source/enigmail-${EMVER}.tar.gz ) )"
-
-KEYWORDS="~arm"
-SLOT="0"
-LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
-IUSE="java ldap mozdevelop moznocompose moznoirc moznomail moznoroaming postgres crypt xforms"
-
-RDEPEND="java? ( virtual/jre )
-       >=www-client/mozilla-launcher-1.56
-       >=dev-libs/nss-3.11.5
-       >=dev-libs/nspr-4.6.5-r1
-       crypt? ( !moznomail? ( >=app-crypt/gnupg-1.4 ) )"
-
-DEPEND="${RDEPEND}
-       java? ( >=dev-java/java-config-0.2.0 )
-       dev-lang/perl
-       postgres? ( dev-db/postgresql-server )"
-
-S="${WORKDIR}/mozilla"
-
-# Needed by src_compile() and src_install().
-# Would do in pkg_setup but that loses the export attribute, they
-# become pure shell variables.
-export MOZ_CO_PROJECT=suite
-export BUILD_OFFICIAL=1
-export MOZILLA_OFFICIAL=1
-
-pkg_setup() {
-       if ! built_with_use x11-libs/cairo X; then
-               eerror "Cairo is not built with X useflag."
-               eerror "Please add 'X' to your USE flags, and re-emerge cairo."
-               die "Cairo needs X"
-       fi
-
-       if ! built_with_use --missing true x11-libs/pango X; then
-               eerror "Pango is not built with X useflag."
-               eerror "Please add 'X' to your USE flags, and re-emerge pango."
-               die "Pango needs X"
-       fi
-
-       use moznopango && warn_mozilla_launcher_stub
-}
-
-src_unpack() {
-       unpack ${P}.source.tar.bz2 ${PATCH}.tar.bz2
-
-       # Apply our patches
-       cd "${S}" || die "cd failed"
-       EPATCH_SUFFIX="patch" \
-       EPATCH_FORCE="yes" \
-       epatch "${WORKDIR}"/patch
-
-       # Fix crash without -fno-strict-aliasing, bug 265642
-       epatch "${FILESDIR}/${PN}-1.1.17-fix-fno-strict-aliasing.patch"
-
-       epatch "${FILESDIR}"/${PN}-1.1.18-libpng14.patch
-
-       # Unpack the enigmail plugin
-       if use crypt && ! use moznomail; then
-               cd "${S}"/mailnews/extensions || die
-               unpack enigmail-${EMVER}.tar.gz
-               cd "${S}"/mailnews/extensions/enigmail || die "cd failed"
-               makemake2
-       fi
-
-       # Fix scripts that call for /usr/local/bin/perl #51916
-       ebegin "Patching smime to call perl from /usr/bin"
-       sed -i -e '1s,usr/local/bin,usr/bin,' "${S}"/security/nss/cmd/smimetools/smime
-       eend $? || die "sed failed"
-
-       cd "${S}"
-       eautoreconf
-}
-
-src_compile() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       ####################################
-       #
-       # mozconfig, CFLAGS and CXXFLAGS setup
-       #
-       ####################################
-       mozconfig_init
-       mozconfig_config
-
-       mozconfig_annotate 'gentoo' --enable-canvas
-       mozconfig_annotate 'gentoo' --with-system-nspr
-       mozconfig_annotate 'gentoo' --with-system-nss
-
-       # Bug 60668: Galeon doesn't build without oji enabled, so enable it
-       # regardless of java setting.
-       mozconfig_annotate 'galeon' --enable-oji --enable-mathml
-
-       # Other moz-specific settings
-       mozconfig_use_enable mozdevelop jsd
-       mozconfig_use_enable mozdevelop xpctools
-       mozconfig_use_extension mozdevelop venkman
-
-       if use moznoirc; then
-               mozconfig_annotate '+moznocompose +moznoirc' --enable-extensions=-irc
-       fi
-
-       if use moznoroaming ; then
-               mozconfig_annotate '+moznoroaming' --enable-extensions=-sroaming
-       fi
-
-       if use postgres ; then
-               mozconfig_annotate '+postgres' --enable-extensions=sql
-               export MOZ_ENABLE_PGSQL=1
-               export MOZ_PGSQL_INCLUDES=/usr/include
-               export MOZ_PGSQL_LIBS=/usr/$(get_libdir)
-       fi
-
-       mozconfig_use_enable ldap
-       mozconfig_use_enable ldap ldap-experimental
-       mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
-       mozconfig_annotate '' --with-user-appdir=.mozilla
-
-       if use moznomail; then
-               mozconfig_annotate "+moznomail" --disable-mailnews
-       fi
-
-       if use moznocompose; then
-               if use moznoirc && use moznomail; then
-                       mozconfig_annotate "+moznocompose" --disable-composer
-               fi
-       fi
-
-       if use xforms; then
-               mozconfig_annotate "+xforms" --enable-extensions=xforms,schema-validation
-       fi
-
-       # Finalize and report settings
-       mozconfig_final
-
-       if [[ $(gcc-major-version) -lt 4 ]]; then
-               append-cxxflags -fno-stack-protector
-       fi
-
-       ####################################
-       #
-       #  Configure and build
-       #
-       ####################################
-
-       CPPFLAGS="${CPPFLAGS} -DARON_WAS_HERE" \
-       CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
-       econf || die
-
-       # It would be great if we could pass these in via CPPFLAGS or CFLAGS prior
-       # to econf, but the quotes cause configure to fail.
-       sed -i -e \
-               's|-DARON_WAS_HERE|-DGENTOO_NSPLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsplugins\\\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\\\"/usr/'"$(get_libdir)"'/nsbrowser/plugins\\\"|' \
-               "${S}"/config/autoconf.mk \
-               "${S}"/xpfe/global/buildconfig.html
-
-       # This removes extraneous CFLAGS from the Makefiles to reduce RAM
-       # requirements while compiling
-       edit_makefiles
-
-       emake || die
-
-       ####################################
-       #
-       #  Build Enigmail extension
-       #
-       ####################################
-
-       if use crypt && ! use moznomail; then
-               emake -C "${S}"/mailnews/extensions/enigmail || die "make enigmail failed"
-       fi
-}
-
-src_install() {
-       declare MOZILLA_FIVE_HOME=/usr/$(get_libdir)/${PN}
-
-       # Most of the installation happens here
-       dodir "${MOZILLA_FIVE_HOME}"
-       cp -RL "${S}"/dist/bin/* "${D}"/"${MOZILLA_FIVE_HOME}"/ || die "cp failed"
-
-       # Create directory structure to support portage-installed extensions.
-       # See update_chrome() in mozilla-launcher
-       keepdir ${MOZILLA_FIVE_HOME}/chrome.d
-       keepdir ${MOZILLA_FIVE_HOME}/extensions.d
-       cp "${D}"${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt \
-               "${D}"${MOZILLA_FIVE_HOME}/chrome.d/0_base-chrome.txt
-
-       # Create /usr/bin/seamonkey
-       install_mozilla_launcher_stub seamonkey ${MOZILLA_FIVE_HOME}
-
-       # Install icon and .desktop for menu entry
-       doicon "${FILESDIR}"/icon/${PN}.png
-       domenu "${FILESDIR}"/icon/${PN}.desktop
-
-       # Fix icons to look the same everywhere
-       insinto ${MOZILLA_FIVE_HOME}/icons
-       doins "${S}"/widget/src/gtk/mozicon16.xpm
-       doins "${S}"/widget/src/gtk/mozicon50.xpm
-
-       ####################################
-       #
-       # Install files necessary for applications to build against seamonkey
-       #
-       ####################################
-
-       einfo "Installing includes and idl files..."
-       cp -LfR "${S}"/dist/include "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
-       cp -LfR "${S}"/dist/idl "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
-
-       # Fix mozilla-config and install it
-       exeinto ${MOZILLA_FIVE_HOME}
-       doexe "${S}"/build/unix/${PN}-config
-
-       # Install pkgconfig files
-       insinto /usr/"$(get_libdir)"/pkgconfig
-       doins "${S}"/build/unix/*.pc
-
-       # Install env.d snippet, which isn't necessary for running mozilla, but
-       # might be necessary for programs linked against firefox
-       doenvd "${FILESDIR}"/10${PN}
-       dosed "s|/usr/lib|/usr/$(get_libdir)|" /etc/env.d/10${PN}
-
-       # Install rebuild script since mozilla-bin doesn't support registration yet
-       exeinto ${MOZILLA_FIVE_HOME}
-       doexe "${FILESDIR}"/${PN}-rebuild-databases.pl
-       dosed -e 's|/lib/|/'"$(get_libdir)"'/|g' \
-               ${MOZILLA_FIVE_HOME}/${PN}-rebuild-databases.pl
-
-       # Install docs
-       dodoc "${S}"/{LEGAL,LICENSE}
-
-       # Update Google search plugin to use UTF8 charset ...
-       insinto ${MOZILLA_FIVE_HOME}/searchplugins
-       doins "${FILESDIR}"/google.src
-}
-
-pkg_preinst() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Remove entire installed instance to solve various problems,
-       # for example see bug 27719
-       rm -rf "${ROOT}"${MOZILLA_FIVE_HOME}
-}
-
-pkg_postinst() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Update the component registry
-       MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
-               /usr/libexec/mozilla-launcher -register
-
-       # This should be called in the postinst and postrm of all the
-       # mozilla, mozilla-bin, firefox, firefox-bin, thunderbird and
-       # thunderbird-bin ebuilds.
-       update_mozilla_launcher_symlinks
-}
-
-pkg_postrm() {
-       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-
-       # Update the component registry
-       if [[ -x ${MOZILLA_FIVE_HOME}/${PN}-bin ]]; then
-               MOZILLA_LIBDIR=${ROOT}${MOZILLA_FIVE_HOME} MOZILLA_LAUNCHER=${PN} \
-                       /usr/libexec/mozilla-launcher -register
-       fi
-
-       update_mozilla_launcher_symlinks
-}
diff --git a/www-client/seamonkey/seamonkey-2.0.6_pre1.ebuild b/www-client/seamonkey/seamonkey-2.0.6_pre1.ebuild
new file mode 100644 (file)
index 0000000..19990f6
--- /dev/null
@@ -0,0 +1,307 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-client/seamonkey/seamonkey-2.0.6_pre1.ebuild,v 1.1 2010/07/17 11:37:09 polynomial-c Exp $
+
+EAPI="2"
+WANT_AUTOCONF="2.1"
+
+inherit flag-o-matic toolchain-funcs eutils mozconfig-3 makeedit multilib fdo-mime autotools mozextension java-pkg-opt-2
+
+PATCH="${PN}-2.0.5-patches-03"
+EMVER="1.0.1"
+
+LANGS="be ca cs de en-GB en-US es-AR es-ES fr gl hu it ja ka lt nb-NO nl pl pt-PT ru sk sv-SE tr zh-CN"
+NOSHORTLANGS="en-GB es-AR es-ES nb-NO pt-PT sv-SE zh-CN"
+
+MY_PV="${PV/_pre*}"
+MY_PV="${MY_PV/_rc/rc}"
+MY_PV="${MY_PV/_alpha/a}"
+MY_PV="${MY_PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+# release versions usually have language packs. So be careful with changing this.
+HAS_LANGS="true"
+if [[ ${PV} == *_pre* ]] ; then
+       # pre-releases. No need for arch teams to change KEYWORDS here.
+
+       REL_URI="ftp://ftp.mozilla.org/pub/mozilla.org/${PN}/nightly/${MY_PV}-candidates/build${PV##*_pre}"
+       #KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+       KEYWORDS=""
+       #HAS_LANGS="false"
+else
+       # This is where arch teams should change the KEYWORDS.
+
+       REL_URI="http://releases.mozilla.org/pub/mozilla.org/${PN}/releases/${MY_PV}"
+       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+       [[ ${PV} == *alpha* ]] && HAS_LANGS="false"
+fi
+
+DESCRIPTION="Seamonkey Web Browser"
+HOMEPAGE="http://www.seamonkey-project.org"
+
+SLOT="0"
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
+IUSE="+alsa +chatzilla +composer +crypt java ldap +mailclient +roaming system-sqlite"
+
+SRC_URI="${REL_URI}/source/${MY_P}.source.tar.bz2
+       http://dev.gentoo.org/~polynomial-c/${PATCH}.tar.bz2
+       crypt? ( mailclient? ( http://www.mozilla-enigmail.org/download/source/enigmail-${EMVER}.tar.gz ) )"
+
+if ${HAS_LANGS} ; then
+       for X in ${LANGS} ; do
+               if [ "${X}" != "en" ] && [ "${X}" != "en-US" ]; then
+                       SRC_URI="${SRC_URI}
+                               linguas_${X/-/_}? ( ${REL_URI}/langpack/${MY_P}.${X}.langpack.xpi -> ${MY_P}-${X}.xpi )"
+               fi
+               IUSE="${IUSE} linguas_${X/-/_}"
+               # english is handled internally
+               if [ "${#X}" == 5 ] && ! has ${X} ${NOSHORTLANGS}; then
+                       if [ "${X}" != "en-US" ]; then
+                               SRC_URI="${SRC_URI}
+                                       linguas_${X%%-*}? ( ${REL_URI}/langpack/${MY_P}.${X}.langpack.xpi -> ${MY_P}-${X}.xpi )"
+                       fi
+                       IUSE="${IUSE} linguas_${X%%-*}"
+               fi
+       done
+fi
+
+RDEPEND="java? ( virtual/jre )
+       >=sys-devel/binutils-2.16.1
+       >=dev-libs/nss-3.12.2
+       >=dev-libs/nspr-4.8
+       alsa? ( media-libs/alsa-lib )
+       system-sqlite? ( >=dev-db/sqlite-3.6.22-r2[fts3,secure-delete] )
+       >=app-text/hunspell-1.2
+       >=x11-libs/gtk+-2.10.0
+       >=x11-libs/cairo-1.8.8[X]
+       >=x11-libs/pango-1.14.0[X]
+       crypt? ( mailclient? ( >=app-crypt/gnupg-1.4 ) )"
+
+DEPEND="${RDEPEND}
+       dev-util/pkgconfig
+       java? ( >=virtual/jdk-1.4 )"
+
+S="${WORKDIR}/comm-1.9.1"
+
+linguas() {
+       local LANG SLANG
+       for LANG in ${LINGUAS}; do
+               if has ${LANG} en en_US; then
+                       has en ${linguas} || linguas="${linguas:+"${linguas} "}en"
+                       continue
+               elif has ${LANG} ${LANGS//-/_}; then
+                       has ${LANG//_/-} ${linguas} || linguas="${linguas:+"${linguas} "}${LANG//_/-}"
+                       continue
+               elif [[ " ${LANGS} " == *" ${LANG}-"* ]]; then
+                       for X in ${LANGS}; do
+                               if [[ "${X}" == "${LANG}-"* ]] && \
+                                       [[ " ${NOSHORTLANGS} " != *" ${X} "* ]]; then
+                                       has ${X} ${linguas} || linguas="${linguas:+"${linguas} "}${X}"
+                                       continue 2
+                               fi
+                       done
+               fi
+               ewarn "Sorry, but ${PN} does not support the ${LANG} LINGUA"
+       done
+}
+
+src_unpack() {
+       unpack ${A}
+
+       if ${HAS_LANGS} ; then
+               linguas
+               for X in ${linguas}; do
+                       # FIXME: Add support for unpacking xpis to portage
+                       [[ ${X} != "en" ]] && xpi_unpack "${MY_P}-${X}.xpi"
+               done
+               if [[ ${linguas} != "" && ${linguas} != "en" ]]; then
+                       einfo "Selected language packs (first will be default): ${linguas}"
+               fi
+       fi
+}
+
+pkg_setup() {
+       if [[ ${PV} == *_pre* ]] ; then
+               ewarn "You're using an unofficial release of ${PN}. Don't file any bug in"
+               ewarn "Gentoo's Bugtracker against this package in case it breaks for you."
+               ewarn "Those belong to upstream: https://bugzilla.mozilla.org"
+       fi
+
+       export BUILD_OFFICIAL=1
+       export MOZILLA_OFFICIAL=1
+
+       java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+       java-pkg-opt-2_src_prepare
+
+       # Apply our patches
+       EPATCH_SUFFIX="patch" \
+       EPATCH_FORCE="yes" \
+       epatch "${WORKDIR}/patch"
+
+       if use crypt && use mailclient ; then
+               mv "${WORKDIR}"/enigmail "${S}"/mailnews/extensions/enigmail
+               cd "${S}"/mailnews/extensions/enigmail || die
+               epatch "${FILESDIR}"/enigmail/70_enigmail-fix.patch
+               makemake2
+               cd "${S}"
+       fi
+
+       eautoreconf
+}
+
+src_configure() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+       MEXTENSIONS=""
+
+       ####################################
+       #
+       # mozconfig, CFLAGS and CXXFLAGS setup
+       #
+       ####################################
+
+       mozconfig_init
+       mozconfig_config
+
+       # It doesn't compile on alpha without this LDFLAGS
+       use alpha && append-ldflags "-Wl,--no-relax"
+
+       if ! use chatzilla ; then
+               MEXTENSIONS="${MEXTENSIONS},-irc"
+       fi
+       if ! use roaming ; then
+               MEXTENSIONS="${MEXTENSIONS},-sroaming"
+       fi
+
+       if ! use gnome ; then
+               MEXTENSIONS="${MEXTENSIONS},-gnomevfs"
+       fi
+
+       if ! use composer ; then
+               if ! use chatzilla && ! use mailclient ; then
+                       mozconfig_annotate '-composer' --disable-composer
+               fi
+       fi
+
+       mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+       mozconfig_annotate '' --enable-application=suite
+       mozconfig_annotate 'broken' --disable-mochitest
+       mozconfig_annotate 'broken' --disable-crashreporter
+       mozconfig_annotate '' --enable-system-hunspell
+       mozconfig_annotate '' --enable-jsd
+       mozconfig_annotate '' --enable-image-encoder=all
+       mozconfig_annotate '' --enable-canvas
+       mozconfig_annotate '' --with-system-nspr
+       mozconfig_annotate '' --with-system-nss
+       mozconfig_annotate '' --enable-system-lcms
+       mozconfig_annotate '' --with-system-bz2
+       mozconfig_annotate '' --enable-oji --enable-mathml
+       mozconfig_annotate 'places' --enable-storage --enable-places --enable-places_bookmarks
+       mozconfig_annotate '' --disable-installer
+       mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
+
+       # Enable/Disable based on USE flags
+       mozconfig_use_enable alsa ogg
+       mozconfig_use_enable alsa wave
+       mozconfig_use_enable java javaxpcom
+       mozconfig_use_enable ldap
+       mozconfig_use_enable ldap ldap-experimental
+       mozconfig_use_enable mailclient mailnews
+       mozconfig_use_enable system-sqlite
+
+       # Finalize and report settings
+       mozconfig_final
+
+       if [[ $(gcc-major-version) -lt 4 ]]; then
+               append-cxxflags -fno-stack-protector
+       fi
+
+       ####################################
+       #
+       #  Configure and build
+       #
+       ####################################
+
+       # Work around breakage in makeopts with --no-print-directory
+       MAKEOPTS="${MAKEOPTS/--no-print-directory/}"
+
+       CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" econf
+}
+
+src_compile() {
+       # Should the build use multiprocessing? Not enabled by default, as it tends to break.
+       [ "${WANT_MP}" = "true" ] && jobs=${MAKEOPTS} || jobs="-j1"
+       emake ${jobs} || die
+
+       # Only build enigmail extension if conditions are met.
+       if use crypt && use mailclient ; then
+               emake -C "${S}"/mailnews/extensions/enigmail || die "make enigmail failed"
+               emake -j1 -C "${S}"/mailnews/extensions/enigmail xpi || die "make enigmail xpi failed"
+       fi
+}
+
+src_install() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+       declare emid
+
+       emake DESTDIR="${D}" install || die "emake install failed"
+
+       if use crypt && use mailclient ; then
+               cd "${T}" || die
+               unzip "${S}"/mozilla/dist/bin/enigmail*.xpi install.rdf || die
+               emid=$(sed -n '/<em:id>/!d; s/.*\({.*}\).*/\1/; p; q' install.rdf)
+
+               dodir ${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+               cd "${D}"${MOZILLA_FIVE_HOME}/extensions/${emid} || die
+               unzip "${S}"/mozilla/dist/bin/enigmail*.xpi || die
+       fi
+
+       if ${HAS_LANGS} ; then
+               linguas
+               for X in ${linguas}; do
+                       [[ ${X} != "en" ]] && xpi_install "${WORKDIR}"/"${MY_P}-${X}"
+               done
+       fi
+
+       # Install icon and .desktop for menu entry
+       newicon "${S}"/suite/branding/content/icon64.png seamonkey.png || die
+       domenu "${FILESDIR}"/icon/seamonkey.desktop || die
+
+       # Add StartupNotify=true bug 290401
+       if use startup-notification ; then
+               echo "StartupNotify=true" >> "${D}"/usr/share/applications/seamonkey.desktop
+       fi
+
+       # Add our default prefs
+       sed "s|SEAMONKEY_PVR|${PVR}|" "${FILESDIR}"/all-gentoo.js \
+               > "${D}"${MOZILLA_FIVE_HOME}/defaults/pref/all-gentoo.js
+
+       # Plugins dir
+       rm -rf "${D}"${MOZILLA_FIVE_HOME}/plugins || die "failed to remove existing plugins dir"
+       dosym ../nsbrowser/plugins "${MOZILLA_FIVE_HOME}"/plugins || die
+
+       # shiny new man page
+       doman "${S}"/suite/app/${PN}.1 || die
+}
+
+pkg_preinst() {
+       declare MOZILLA_FIVE_HOME="${ROOT}/usr/$(get_libdir)/${PN}"
+
+       if [ -d ${MOZILLA_FIVE_HOME}/plugins ] ; then
+               rm ${MOZILLA_FIVE_HOME}/plugins -rf
+       fi
+}
+
+pkg_postinst() {
+       declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+       # Update mimedb for the new .desktop file
+       fdo-mime_desktop_database_update
+
+       if use chatzilla ; then
+               elog "chatzilla is now an extension which can be en-/disabled and configured via"
+               elog "the Add-on manager."
+       fi
+}